Skip to main content
GET
/
v4
/
accounting
/
chartOfAccounts
Get chart of accounts
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/accounting/chartOfAccounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "accountNo": "<string>",
    "beginning": 123,
    "ending": 123,
    "children": [
      {
        "entity": "<string>",
        "entityId": 123,
        "date": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "debit": 123,
        "credit": 123,
        "balance": 123
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

name
string

A user-friendly name of this node, useful for display purposes

accountNo
string

Number of the associated account, referencing an account in the Chart of Accounts

beginning
number

The beginning balance amount

ending
number

The ending balance amount

children
object[]